/*
 * RouteFinderEngine.java
 */
package lab.scd.rmi.server;

import java.rmi.*;
import java.rmi.server.*;
import java.util.*;

import lab.scd.rmi.remoteinterfaces.RouteFinder;
/**
 * Class created by @author Mihai HULEA at Mar 16, 2005.
 * 
 * This class is part of the laborator_IDL project.
 * 
 */
public class RouteFinderEngine extends UnicastRemoteObject
	implements RouteFinder
{

    
    
    
    /**
     * @throws RemoteException
     */
    protected RouteFinderEngine() throws RemoteException {
        super();
    }

    public List findPath(String src, String dest) throws RemoteException {
        System.out.println("Search shortest path between: "+src+" and "+dest);
        
        /**
         * Calculeaza calea cea mai scurta dintre src si dest. In cazul de fata este 
         * generata o cale statica.
         */
        Vector path = new Vector();
        path.add("orasx1");path.add("orasx2");path.add("orasx3");
        
        return path;
    }    
    
    public static void main(String[] args) {
        
        if (System.getSecurityManager() == null) {
            System.setSecurityManager(new RMISecurityManager());
        }
        
        String name = "//localhost/route1";
        try {
            RouteFinder engine = new RouteFinderEngine();
            Naming.rebind(name, engine);
            System.out.println("Object "+name+" bind OK");
        } catch (Exception e) {
            System.err.println("Object "+name+" bind fail " + 
			       e.getMessage());
            e.printStackTrace();
        }
    
}
}
