/*
 * RmiClient.java
 */
package lab.scd.rmi.client;

import java.rmi.Naming;
import java.rmi.RMISecurityManager;
import java.util.*;

import lab.scd.rmi.remoteinterfaces.RouteFinder;

/**
 * Class created by @author Mihai HULEA at Mar 16, 2005.
 * 
 * This class is part of the laborator_IDL project.
 * 
 */
public class RmiClient {
    public static void main(String args[]) {
        try {
            
            if (System.getSecurityManager() == null) {
                System.setSecurityManager(new RMISecurityManager());
            }
            
            String name = "//" + args[0] + "/route1";
            RouteFinder comp = (RouteFinder ) Naming.lookup(name);
           
            Vector v = (Vector) comp.findPath("oras 1","oras 2");
            
            System.out.println("Ruta: ");
            Iterator it = v.iterator();
            while(it.hasNext()){
                String s = (String)it.next();
                System.out.println(s+" ");
            }
            
        } catch (Exception e) {
            System.err.println("RMI client exception: " + 
                               e.getMessage());
            e.printStackTrace();
        }
    }
}
